<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/**
 * 受注管理系ロジック
 *
 * @package     Onedepo_Logic_Orderview
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Onedepo_Logic_Depositview {

  var $deposit;
  var $data;

  var $order_date_start;
  var $order_date_end;
  var $order_time_start;
  var $order_time_end;
  var $orderno_start;
  var $orderno_end;
  var $ordermember;
  var $mailaddr;
  var $state;
  var $deposit_updcnt;
  
  var $from;
  var $odno;
  var $orderno; 
  var $upd;
  

    /**
     * 入金State変更
     *
     */
    function DepositUpdate($orderno, $user, $today, $updcnt)
    {
        $log =& LogFactory::getLog();
        $log->debug("debug", "Onedepo_Logic_Depositview#DepositUpdate");
        
        
        $state = 2;
        
        $this->data = $this->deposit->DepositUpdateState($orderno, $today, $state, $user, $updcnt);
        
        return $this->data;
    }

}
?>